BICO 1.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Pages
Public Member Functions | List of all members
CluE::PartitionEvaluation< T > Class Template Referenceabstract

Abstract class for partition-based evaluation algorithms. More...

`#include <partitionevaluation.h>`

Inheritance diagram for CluE::PartitionEvaluation< T >:
Collaboration diagram for CluE::PartitionEvaluation< T >:

## Public Member Functions
virtual | ~PartitionEvaluation ()
virtual double | partitioncost (std::vector< std::vector< T * > > const &partitioning) const =0
| Calculates the cost of a given partitioning. More...
virtual double | partitioncost (PartitionProvider< T > const &partitioning, unsigned int solutionIndex) const =0
virtual double | partitioncost (std::vector< T * > const &partition) const =0
| Calculates the cost of a given partition. More...
virtual double | partitioncost (PartitionProvider< T > const &partitioning, unsigned int solutionIndex, unsigned int partitionIndex) const =0
Public Member Functions inherited from CluE::Evaluation
virtual | ~Evaluation ()

## Detailed Description

### template<typename T>
class CluE::PartitionEvaluation< T >

Abstract class for partition-based evaluation algorithms.

Evaluation algorithms requiring partitions for calculating the input's cost should derive from this class.

Definition at line 19 of file partitionevaluation.h.

## Constructor & Destructor Documentation

template<typename T >

virtual CluE::PartitionEvaluation< T >::~PartitionEvaluation | ( |  | ) |
| inline virtual

Definition at line 22 of file partitionevaluation.h.

## Member Function Documentation

template<typename T >

virtual double CluE::PartitionEvaluation< T >::partitioncost | ( | std::vector< std::vector< T * > > const & | partitioning | ) | const
| pure virtual

Calculates the cost of a given partitioning.

template<typename T >

virtual double CluE::PartitionEvaluation< T >::partitioncost | ( | PartitionProvider< T > const & | partitioning,
|  | unsigned int | solutionIndex
| ) |  | const
| pure virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

template<typename T >

virtual double CluE::PartitionEvaluation< T >::partitioncost | ( | std::vector< T * > const & | partition | ) | const
| pure virtual

Calculates the cost of a given partition.

template<typename T >

virtual double CluE::PartitionEvaluation< T >::partitioncost | ( | PartitionProvider< T > const & | partitioning,
|  | unsigned int | solutionIndex,
|  | unsigned int | partitionIndex
| ) |  | const
| pure virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

The documentation for this class was generated from the following file:

- src/base/partitionevaluation.h